# Type Alias Pack

type Pack = {
code_pages?: CodePagePack[];
config?: object;
event_logs?: EventLogPack[];
library: LibraryPack[];
model_instances: ModelInstancePack[];
models: ModelPack[];
page_groups: PageGroupPack[];
pages: PagePack[];
plugins: PluginPack[];
roles: RolePack[];
tables: TablePack[];
tags: TagPack[];
triggers: TriggerPack[];
views: ViewPack[];
}

- Defined in base_types.ts:576

##### Index

### Properties

code_pages?
config?
event_logs?
library
model_instances
models
page_groups
pages
plugins
roles
tables
tags
triggers
views

## Properties

### `Optional` code_pages

code_pages?: CodePagePack[]

- Defined in base_types.ts:589

### `Optional` config

config?: object

- Defined in base_types.ts:590

### `Optional` event_logs

event_logs?: EventLogPack[]

- Defined in base_types.ts:588

### library

library: LibraryPack[]

- Defined in base_types.ts:583

### model_instances

model_instances: ModelInstancePack[]

- Defined in base_types.ts:587

### models

models: ModelPack[]

- Defined in base_types.ts:586

### page_groups

page_groups: PageGroupPack[]

- Defined in base_types.ts:580

### pages

pages: PagePack[]

- Defined in base_types.ts:579

### plugins

plugins: PluginPack[]

- Defined in base_types.ts:581

### roles

roles: RolePack[]

- Defined in base_types.ts:582

### tables

tables: TablePack[]

- Defined in base_types.ts:577

### tags

tags: TagPack[]

- Defined in base_types.ts:585

### triggers

triggers: TriggerPack[]

- Defined in base_types.ts:584

### views

views: ViewPack[]

- Defined in base_types.ts:578